# The "xv" Package

These routines are meant to provide a convenience interface for querying X visuals.

Library: karmaX11
Link With: -lkarmaX11

#### Functions

xv_get_vinfos | Get supported visuals available on a screen.
xv_get_visuals | Get supported visuals available on a screen.
xv_get_visinfo_for_visual | Get the visual information structure for a visual.
xv_get_visinfo_for_visual2 | Get the visual information structure for a visual.

## Functions

void xv_get_vinfos (Screen *screen, XVisualInfo **pseudocolour, XVisualInfo **truecolour, XVisualInfo **directcolour)

Get supported visuals available on a screen.

Parameters:

- screen : The X Window screen.
- pseudocolour : A PseudoColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no PseudoColour visual is supported, NULL is written here.
- truecolour : A TrueColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no TrueColour visual is supported, NULL is written here.
- directcolour : A DirectColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no DirectColour visual is supported, NULL is written here.

Returns: Nothing.
Multithreading Level: Unsafe
Note:

- The XVisualInfo structures returned must be freed by XFree()

void xv_get_visuals (Screen *screen, Visual **pseudocolour, Visual **truecolour, Visual **directcolour)

Get supported visuals available on a screen.

Parameters:

- screen : The X Window screen.
- pseudocolour : A PseudoColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no PseudoColour visual is supported, NULL is written here.
- truecolour : A TrueColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no TrueColour visual is supported, NULL is written here.
- directcolour : A DirectColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no DirectColour visual is supported, NULL is written here.

Returns: Nothing.
Multithreading Level: Unsafe
Note:

- The XVisualInfo structures returned must be freed by XFree()

XVisualInfo * xv_get_visinfo_for_visual (Display *dpy, Visual *visual)

Get the visual information structure for a visual.

Parameters:

- dpy : The X display.
- visual : The visual.

Returns: A pointer to an XVisualInfo structure on succes, else NULL. The XVisualInfo structure must be freed by XFree()
Multithreading Level: Unsafe

void xv_get_visinfo_for_visual2 (Display *dpy, Visual *visual, XVisualInfo *vinfo)

Get the visual information structure for a visual.

Parameters:

- dpy : The X display.
- visual : The visual.
- vinfo : The visual information is written here.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page